// FilterViewerView.h : interface of the CFilterViewerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILTERVIEWERVIEW_H__5FFF5CCC_1116_11D3_BDF5_0000E86752EE__INCLUDED_)
#define AFX_FILTERVIEWERVIEW_H__5FFF5CCC_1116_11D3_BDF5_0000E86752EE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CFilterViewerView : public CFormView
{
protected: // create from serialization only
	CFilterViewerView();
	DECLARE_DYNCREATE(CFilterViewerView)

public:
	//{{AFX_DATA(CFilterViewerView)
	enum { IDD = IDD_FILTERVIEWER_FORM };
	BOOL	m_bDisolve;
	BOOL	m_bHorizontalWave;
	BOOL	m_bRotate;
	BOOL	m_bSpiral;
	BOOL	m_bZoom;
	BOOL	m_bVerticalWave;
	BOOL	m_bVerticalWave3D;
	BOOL	m_bHorizontalWave3D;
	int		m_nDisolvePercent;
	double	m_nHWWaves;
	double	m_nHWPercent;
	double	m_nHWOffset;
	double	m_nVWWaves;
	double	m_nVWPercent;
	double	m_nVWOffset;
	double	m_nHW3DWaves;
	double	m_nHW3DPercent;
	double	m_nHW3DOffset;
	double	m_nVW3DWaves;
	double	m_nSpiralAngle;
	int		m_nZoomPercent;
	double	m_nRotateAngle;
	double	m_nVW3DOffset;
	double	m_nVW3DPercent;
	//}}AFX_DATA

// Attributes
public:
	CFilterViewerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFilterViewerView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFilterViewerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFilterViewerView)
	afx_msg void OnUpdate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FilterViewerView.cpp
inline CFilterViewerDoc* CFilterViewerView::GetDocument()
   { return (CFilterViewerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILTERVIEWERVIEW_H__5FFF5CCC_1116_11D3_BDF5_0000E86752EE__INCLUDED_)
